Ubuntu won't upgrade - says 4.5.1-1 is latest

37 views
Skip to first unread message

peterq...@gmail.com

unread,
Aug 7, 2022, 2:00:25 PMAug 7
to weewx-user
Hi, 

I'm getting around to updating my system to the latest version of Weewx. I've been running 4.5.1 for a while and I want to make some changes and thought I'd first make sure I'm running the latest. I did the following:

sudo apt update
sudo apt upgrade
...did not change weewx
sudo apt install weewx
message: weewx is already the newest version (4.5.1-1).
Looked at the docs and just to be sure redid the steps to configure apt
wget -qO - https://weewx.com/keys.html | sudo gpg --dearmor --output /etc/apt/trusted.gpg.d/weewx.gpg
wget -qO - https://weewx.com/apt/weewx-python3.list | sudo tee /etc/apt/sources.list.d/weewx.list


I'm running Ubuntu 22.04.1 LTS

Any ideas? 

vince

unread,
Aug 7, 2022, 5:27:09 PMAug 7
to weewx-user
clear your apt cache perhaps ?

p q

unread,
Aug 7, 2022, 5:38:39 PMAug 7
to weewx...@googlegroups.com
Yes. That was it - thanks

--
You received this message because you are subscribed to a topic in the Google Groups "weewx-user" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/weewx-user/nPibHzKjBOc/unsubscribe.
To unsubscribe from this group and all its topics, send an email to weewx-user+...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/weewx-user/982436ad-c158-4165-811a-b52c4e2112edn%40googlegroups.com.


--
Peter Quinn
(415)794-2264
Reply all
Reply to author
Forward
0 new messages